NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::CoordinateSystemCollection Class Reference

Represents a collection of NXOpen::CoordinateSystem . More...

Inheritance diagram for NXOpen::CoordinateSystemCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element. More...
 
NXOpen::CartesianCoordinateSystemCreateCoordinateSystem (const NXOpen::Point3d &origin, const NXOpen::Matrix3x3 &orientation, bool isTemporary)
 Creates a new cartesian coordinate system. More...
 
NXOpen::CartesianCoordinateSystemCreateCoordinateSystem (const NXOpen::Point3d &origin, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection)
 Creates a new cartesian coordinate system. More...
 
NXOpen::CartesianCoordinateSystemCreateCoordinateSystem (const NXOpen::Point3d &origin, NXOpen::NXMatrix *orientation, bool isTemporary)
 Creates a new cartesian coordinate system. More...
 
NXOpen::CartesianCoordinateSystemCreateCoordinateSystem (NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption update)
 Creates a CartesianCoordinateSystem from a Xform and update option. More...
 
NXOpen::CylindricalCoordinateSystemCreateCylindricalCoordinateSystem (const NXOpen::Point3d &origin, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection)
 Creates a new cylindrical coordinate system. More...
 
NXOpen::CylindricalCoordinateSystemCreateCylindricalCoordinateSystem (const NXOpen::Point3d &origin, NXOpen::NXMatrix *orientation, bool isTemporary)
 Creates a new cylindrical coordinate system. More...
 
NXOpen::CylindricalCoordinateSystemCreateCylindricalCoordinateSystem (NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption update)
 Creates a CylindricalCoordinateSystem from a Xform and update option. More...
 
NXOpen::SphericalCoordinateSystemCreateSphericalCoordinateSystem (const NXOpen::Point3d &origin, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection)
 Creates a new spherical coordinate system. More...
 
NXOpen::SphericalCoordinateSystemCreateSphericalCoordinateSystem (const NXOpen::Point3d &origin, NXOpen::NXMatrix *orientation, bool isTemporary)
 Creates a new spherical coordinate system. More...
 
NXOpen::SphericalCoordinateSystemCreateSphericalCoordinateSystem (NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption update)
 Creates a SphericalCoordinateSystem from a Xform and update option. More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen::CoordinateSystem .

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen::CoordinateSystem is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed. Condemned objects will be deleted when their references go away.
To obtain an instance of this class, refer to NXOpen::BasePart

Created in NX3.0.0.

Member Function Documentation

iterator NXOpen::CoordinateSystemCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::CartesianCoordinateSystem* NXOpen::CoordinateSystemCollection::CreateCoordinateSystem ( const NXOpen::Point3d origin,
const NXOpen::Matrix3x3 orientation,
bool  isTemporary 
)

Creates a new cartesian coordinate system.

Returns
The created CartesianCoordinateSystem
Created in NX3.0.0.

License requirements : None
Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system)
orientationOrientation of the new coordinate system (relative to the absolute coordinate system). Must be orthonormal.
isTemporaryIf the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
NXOpen::CartesianCoordinateSystem* NXOpen::CoordinateSystemCollection::CreateCoordinateSystem ( const NXOpen::Point3d origin,
const NXOpen::Vector3d xDirection,
const NXOpen::Vector3d yDirection 
)

Creates a new cartesian coordinate system.

Returns
The created CartesianCoordinateSystem
Created in NX5.0.0.

License requirements : None
Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system)
xDirectionx direction of the new coordinate system (relative to the absolute coordinate system)
yDirectiony direction of the new coordinate system (relative to the absolute coordinate system)
NXOpen::CartesianCoordinateSystem* NXOpen::CoordinateSystemCollection::CreateCoordinateSystem ( const NXOpen::Point3d origin,
NXOpen::NXMatrix orientation,
bool  isTemporary 
)

Creates a new cartesian coordinate system.

Returns
The created CartesianCoordinateSystem
Created in NX3.0.0.

License requirements : None
Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system
orientationOrientation of the new coordinate system
isTemporaryIf the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
NXOpen::CartesianCoordinateSystem* NXOpen::CoordinateSystemCollection::CreateCoordinateSystem ( NXOpen::Xform xform,
NXOpen::SmartObject::UpdateOption  update 
)

Creates a CartesianCoordinateSystem from a Xform and update option.

Returns
The created CartesianCoordinateSystem
Created in NX4.0.0.

License requirements : None
Parameters
xformthe Xform of the coordinate system
updateupdate option
NXOpen::CylindricalCoordinateSystem* NXOpen::CoordinateSystemCollection::CreateCylindricalCoordinateSystem ( const NXOpen::Point3d origin,
const NXOpen::Vector3d xDirection,
const NXOpen::Vector3d yDirection 
)

Creates a new cylindrical coordinate system.

Returns
The created CylindricalCoordinateSystem
Created in NX5.0.0.

License requirements : None
Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system)
xDirectionx direction of the new coordinate system (relative to the absolute coordinate system)
yDirectiony direction of the new coordinate system (relative to the absolute coordinate system)
NXOpen::CylindricalCoordinateSystem* NXOpen::CoordinateSystemCollection::CreateCylindricalCoordinateSystem ( const NXOpen::Point3d origin,
NXOpen::NXMatrix orientation,
bool  isTemporary 
)

Creates a new cylindrical coordinate system.

Returns
The created CylindricalCoordinateSystem
Created in NX4.0.0.

License requirements : None
Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system
orientationOrientation of the new coordinate system
isTemporaryIf the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
NXOpen::CylindricalCoordinateSystem* NXOpen::CoordinateSystemCollection::CreateCylindricalCoordinateSystem ( NXOpen::Xform xform,
NXOpen::SmartObject::UpdateOption  update 
)

Creates a CylindricalCoordinateSystem from a Xform and update option.

Returns
The created CylindricalCoordinateSystem
Created in NX4.0.0.

License requirements : None
Parameters
xformthe Xform of the coordinate system
updateupdate option
NXOpen::SphericalCoordinateSystem* NXOpen::CoordinateSystemCollection::CreateSphericalCoordinateSystem ( const NXOpen::Point3d origin,
const NXOpen::Vector3d xDirection,
const NXOpen::Vector3d yDirection 
)

Creates a new spherical coordinate system.

Returns
The created SphericalCoordinateSystem
Created in NX5.0.0.

License requirements : None
Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system)
xDirectionx direction of the new coordinate system (relative to the absolute coordinate system)
yDirectiony direction of the new coordinate system (relative to the absolute coordinate system)
NXOpen::SphericalCoordinateSystem* NXOpen::CoordinateSystemCollection::CreateSphericalCoordinateSystem ( const NXOpen::Point3d origin,
NXOpen::NXMatrix orientation,
bool  isTemporary 
)

Creates a new spherical coordinate system.

Returns
The created SphericalCoordinateSystem
Created in NX4.0.0.

License requirements : None
Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system
orientationOrientation of the new coordinate system
isTemporaryIf the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
NXOpen::SphericalCoordinateSystem* NXOpen::CoordinateSystemCollection::CreateSphericalCoordinateSystem ( NXOpen::Xform xform,
NXOpen::SmartObject::UpdateOption  update 
)

Creates a SphericalCoordinateSystem from a Xform and update option.

Returns
The created SphericalCoordinateSystem
Created in NX4.0.0.

License requirements : None
Parameters
xformthe Xform of the coordinate system
updateupdate option
iterator NXOpen::CoordinateSystemCollection::end ( )

Returns an iterator addressing one past the last element.

tag_t NXOpen::CoordinateSystemCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.